
Figure - Bug #116574
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT2】【应用】应用里面缺少了默认应用和未使用的应用两项
2023-02-27 17:45 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-02-27

Priority: Normal Due date: 2023-03-03

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302220011

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-02

Test Type: ST Root cause: 由于会跳转全屏页面，之前被隐藏了导致的问题。

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、进入设置

2、点击应用

3、查看右边的窗口

【预期结果】

3、有默认应用和未使用的应用两项

【实际结果】

3、缺少了默认应用和未使用的应用两项

【复现率】

3/3

History

#1 - 2023-02-28 10:44 - CD FW-廖涛

- Due date set to 2023-02-28

#2 - 2023-02-28 14:37 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#3 - 2023-02-28 15:12 - CD FW-廖涛

- Due date changed from 2023-02-28 to 2023-03-03

#4 - 2023-03-01 18:50 - CD FW-廖涛

- Status changed from New to ASSIGNED

- % Done changed from 0 to 80

- Root cause set to 由于会跳转全屏页面，之前被隐藏了导致的问题。

■ Current conclusion

代码已提交，等待 Review 。
■ My analysis

Settings 中的默认应用和未使用应用会跳转 PermissionController 的全屏页面，之前做 Settings 两栏分隔是隐藏了。

现在放出两个选项入库，并将相关页面进行适配，以适应 Settings 的两栏展示。

■ Next action

入库代码，交测试验证。

#5 - 2023-03-02 16:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185170 general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Permission: Adapter default apps page and unused apps page.TC-RID: 1201-0201802IssueID: TS-R-BUG-116574Change-Id:

I15475aa067bf6ed7be3c95091429ddd1fc92d9ef

#6 - 2023-03-02 16:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185169 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Add default apps and unused apps entry.TC-RID: 1201-0201802IssueID: TS-R-BUG-116574Change-Id:

Idd7daeeebb9fed935e91ea04654d59a5f9f4c128

#7 - 2023-03-02 16:28 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-02

■ Current conclusion

已处理，代码已入库。

■ My analysis

--

■ Next action

测试验证。

#8 - 2023-03-03 18:06 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED
【验证版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

【验证结果】有默认应用和未使用的应用，pass

#9 - 2023-03-03 18:06 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#10 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314
